Get Contact
curl --request GET \
--url https://api.example.com/lists/:idimport requests
url = "https://api.example.com/lists/:id"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/lists/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"error": "<string>"
}Lists
Get Contact
Ambil kontak dari list tertentu menggunakan ID list
GET
/
lists
/
:id
Get Contact
Gunakan endpoint ini untuk mengambil kontak dari satu list. Ganti
The
:id pada URL dengan ID list, lalu sertakan API key pada header api-key.
Request
Headers
| Header | Type | Required | Description |
|---|---|---|---|
api-key | string | Yes | API key DripSender Anda |
Path Parameters
Query Parameters
Example Request
# Get all contacts without pagination
curl -X GET "https://api.dripsender.id/lists/YOUR_LIST_ID?all=true" \
-H "api-key: YOUR_API_KEY"
// Get all contacts without pagination
axios.get("https://api.dripsender.id/lists/YOUR_LIST_ID", {
headers: {
"api-key": "YOUR_API_KEY"
},
params: {
all: true
}
}).then(response => {
console.log(response.data);
});
Response
Success
string
Code:
200{
"status": 200,
"statusText": "",
"data": [
{
"name": "Group 3",
"phone": "120363421725383520",
"is_group": true,
"id": "f986abd6-1658-5ba4-80b2-c1fdba600e55",
"created_at": 1778488291404,
"updated_at": 1778488291404
}
],
"headers": {
"content-length": "163",
"content-type": "application/json"
}
}
data array contains the contacts in the selected list. Group entries have is_group: true; timestamps are Unix timestamps in milliseconds.
Error
string
Code:
Code:
404 - Not Found (API key invalid or list not found)Code:
500 - Internal Server Error